Bug 409083 - Feature Request for a global shortcut to toggle Night Color
Summary: Feature Request for a global shortcut to toggle Night Color
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-23 15:26 UTC by kde
Modified: 2019-07-09 17:53 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.17.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kde 2019-06-23 15:26:50 UTC
SUMMARY

Feature request for a global shortcut to toggle Night Color on/off. 

This is useful if a user wants to quickly to disable Night Color to edit an image or watch a video. 
Example of similiar feature - the Redshift applet has a configurable shortcut to enable/disable it.

Mentioned in comments in https://pointieststick.com/2019/06/23/kde-usability-productivity-week-76/

STEPS TO REPRODUCE
1. Search for 'Night Color' under the Plasma entry in Global Shortcuts.

OBSERVED RESULT
No entry for 'Toggle Night Color'

EXPECTED RESULT
An entry for 'Toggle Night Color'

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Vlad Zahorodnii 2019-07-09 15:43:35 UTC
Git commit b18351669af91fbb2cfbf2329f0e4bbf730f2b1c by Vlad Zagorodniy.
Committed on 09/07/2019 at 15:43.
Pushed by vladz into branch 'master'.

[colorcorrection] Introduce toggle Night Color shortcut

Summary:
The new shortcut can be useful if a user wants to quickly disable the
Night Color manager for a brief moment.

Reviewers: #kwin, davidedmundson, romangg

Reviewed By: #kwin, davidedmundson, romangg

Subscribers: romangg, ngraham, broulik, davidedmundson, kwin

Tags: #kwin

Differential Revision: https://phabricator.kde.org/D22287

M  +52   -1    colorcorrection/manager.cpp
M  +23   -1    colorcorrection/manager.h
M  +2    -0    useractions.cpp

https://commits.kde.org/kwin/b18351669af91fbb2cfbf2329f0e4bbf730f2b1c